Subject: bug#33740: [PATCH] Customizable flymake mode-line indicator

From: João Távora <[email-masked]>
Date: Wed, 30 Dec 2020 21:13:36 +0000

On Wed, Dec 30, 2020 at 8:16 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Wed, 30 Dec 2020 09:28:22 +0000
> > Cc: [email-masked], Andrii Kolomoiets <[email-masked]>
> >
> > I mean, it _could_ become more powerful. See CL:FORMAT for
> > example (some love it, some hate it, I respect and use it on
> > occasion).  It could do the job easily, because it has conditional
> > formatting:
>
> The mode-line constructs also support conditionals, so I don't think I
> follow you here.

Yes, mode-line constructs are what I'm using right now and what
I'm going to use to give users an interface.  Lars was suggesting
that format strings are the preferred customization method, and they
could become an alternative. But currently, Emacs's format-spec
falls well short of what is required.  It could become more powerful,
like CL:FORMAT, or not. Until then, mode-line constructs.

João